<?php
if (!defined('webid')) {
    exit();
}
if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) {
    header("Location: /");
	exit();
}

if ($_POST['price']) {
    if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) {
        exit();
    }

	$price = floatval($_POST['price']);
    if ($price < 0) {
        $price = 1;
    }
	$ident = intval($_POST['idref']);
	$time = time();
	$sql = mysql_query("SELECT username,visits,ban FROM tb_users WHERE id='$ident' and referer='$_SESSION[iduser]'") or die(mysql_error());
	$res = mysql_fetch_assoc($sql);
	if (mysql_num_rows($sql) == 1 and $res['visits'] > 100 or $reyting > 100 and $res['ban'] == 0) {
		$rname = $res['username'];
		mysql_query("INSERT INTO seo_refbirj (rid,rname,trid,price,timestart) values ('$ident','$rname','$_SESSION[iduser]','$price','$time')") or die(mysql_error());
	}
}
?>
<script type="text/javascript">
$(document).ready(function(){
    $('.sref-bonus, .refdel, .refex-dis, .refexchange, .refbonus, .refstat, .refex-back, #sendmail').tipTip();
})

function gofilter(mode) {
    setCookie("referals",mode,"Mon, 01-Jan-2020 00:00:00 GMT");
    FLAX.Html.thread['flax'].repeat();
    return false;
}

function setCookie (name, value, expires, path, domain, secure) {
    document.cookie = name + "=" + escape(value) +
    ((expires) ? "; expires=" + expires : "") +
    ((path) ? "; path=" + path : "") +
    ((domain) ? "; domain=" + domain : "") +
    ((secure) ? "; secure" : "");
}

function hideserfaddblock(bname) {
    if (document.getElementById(bname).style.display == 'none') {
        document.getElementById(bname).style.display = '';
    } else {
        document.getElementById(bname).style.display = 'none';
    }
    return false;
}

function refback(proc, refid) {
    $.post('ajax.php?func=refback',{
        usproc : proc,
        usid : refid
    }, function(data) {
        if (data == 1) {
            FLAX.Html.thread['flax'].repeat();
        } else {
            alert(data);
        }
    });
    return false;
}

function userdel(delid) {
    $.post('ajax.php?func=refdel',{
        usid : delid
    }, function(data) {
        if (data == 1) {
            FLAX.Html.thread['flax'].repeat();
        }
    });
    return false;
}

function backref(backid) {
    $.post('ajax.php?func=backref',{
        usid : backid
    }, function(data) {
        if (data == 1) {
            FLAX.Html.thread['flax'].repeat();
        } else {
            alert(data);
        }
    });
    return false;
}

function inforef (id) {
    $('#q_content').Qbox({
        'title': '',
        'width': 410,
        'minHeight': 100,
        'fadespeed': 300,
        'url': 'referalinfo.php',
        'param': 'usid='+id
    });
    return false;
}
</script>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Мои рефералы</h3>
На <span class='seosprint'><?=$sitename ?></span> легко можно заработать на мороженное или на оплату своего мобильного телефона. Но мы создавали проект не для этого. На <b><?=$sitename ?></b> можно реально зарабатывать, если привлекать рефералов. В зависимости от вашего статуса в системе, вы получаете дополнительно 50% или 65%+10% от заработанного вашими рефералами.<br> <a href='/reflinks' class="link">Здесь находятся ваши реферальские ссылки и банеры</a>
<?php
if ($finestatus != '0') {
    echo '
        <div class="alert alert-block alert-error fade in">
            <h4 class="alert-heading">Внимание! На ваш аккаунт наложен штраф!</h4>
            <p>Ваш акаунт частично заблокирован за нарушение правил ('.$fine_text.') Для разблокировки аккаунта, вам необходимо оплатить штраф за нарушение, если вы не согласны с этим, можете покинуть проект, ваш аккаунт будет удален в течение 10 суток.</p>
            <p>
              <a class="btn btn-danger" href="/basket">Оплатить штраф</a> <a class="btn" href="/tos">Правила</a>
            </p>
        </div>';
} else {
?><center><h3>Всего рефералов: <?=$referals; ?></h3></center><?
if (isset($_COOKIE['referals'])) {
    $filterref = $_COOKIE['referals'];
}

if ($filterref == 1) {
    $zapros = 'ORDER BY id ASC';
}
if ($filterref == 2) {
    $zapros = 'ORDER BY lastlogdate DESC';
}
if ($filterref == 3) {
    $zapros = 'GROUP BY id ORDER BY cnt DESC';
    $zcount = ',count(id) as cnt';
}
if ($filterref == 4) {
    $zapros = 'ORDER BY toref DESC';
}


$kolvo = 10;
$all = mysql_num_rows(mysql_query("SELECT id FROM tb_users where referer='$_SESSION[iduser]'")) or die(mysql_error());
$allpage = ceil($all/$kolvo);
$this_page = (isset($_GET['pg'])) ? intval($_GET['pg']) : 1 ;
if ($this_page < 1) $this_page = 1;
if ($this_page > $allpage) $this_page = $allpage;
$start = $this_page * $kolvo - $kolvo;
if ($start == -10) { $start = 1; }

include_once 'functiones.php';

echo "<table width='100%' style='margin-bottom: 5px;'><tr><td nowrap='nowrap'>";
$nextp = $this_page + 1;
$lastp = $this_page - 1;
if ($this_page > 1) { echo "<a href='/referals/pg=$lastp' class=\"link\"><span class='text14'>"; } else { echo "<span class='textgray'>"; } echo "&larr;&nbsp;Предыдущие</span>";
if ($this_page == 1) { echo "</a>"; } echo "</td><td width='90%' align='center'>". navigation($allpage,'/referals/pg=',1,1)."</td><td nowrap='nowrap'>";
if ($this_page == $allpage) { echo "<span class='textgray'>"; } else { echo "<a href='/referals/pg=$nextp' class=\"link\"><span class='text14'>"; } echo "Следующие&nbsp;&rarr;</span>"; 
if ($this_page == $allpage) { echo "</a>"; } echo "</td></tr></table>";

$sql = mysql_query("SELECT *$zcount FROM  tb_users where referer='$_SESSION[iduser]' $zapros limit $start,$kolvo") or die(mysql_error());
?>
<table class='otab' width='100%' border='0' cellpadding='0' cellspacing='1'>
    <thead>
        <tr>
		  	<th colspan="2" style="padding: 3px; background: #ebebeb; text-align: center;"><b><a href="#" onclick="javascript:gofilter(1);" class="link">ID</a></b>, имя</th>
            <th style="padding: 3px; background: #ebebeb; text-align: center;"><a href="#" onclick="javascript:gofilter(2);" class="link">Заходил</a></th>
            <th style="padding: 3px; background: #ebebeb; text-align: center;"><a href="#" onclick="javascript:gofilter(3);" class="link"><img src='theme/img/history/bt2.png' border='0' width='24' height='24' border="0" /></a></th>
            <th style="padding: 3px; background: #ebebeb; text-align: center;"><a href="#" onclick="javascript:gofilter(4);" class="link">Доход</a></th>
            <th style="padding: 3px; background: #ebebeb; text-align: center;">Управление</th>
     </tr>
</thead>
<?
while ($row = mysql_fetch_assoc($sql)) {
    $ref1 = mysql_fetch_array(mysql_query("SELECT count(*) as count FROM tb_users WHERE referer = '" . $row['id'] . "'"));
    if ($row['ban'] == 1) {
        $bantext = ' - <font color="#800000">Заблокирован</font>';
    } else {
		$bantext = '';
	}
	?>
        <tr>
            <td class="lt" width="50">
			<a href="/id<?=$row['id'] ?>" >
			<img src="avp/<?=$row['avatar']?>" width="30" height="30" class="avatar" style="margin-right:-5px; margin-top: 5px;"/></td>
			</a>
            <td class="lt" width="50%"><a href='/mail/new<?=$row['id']; ?>' class="link" id="sendmail" title='Написать рефералу'><?=$row['username'].$bantext; ?></a><?if($row['autoproc'] != 0) echo "<span class='sref-bonus' title='Установлен бонус: $row[autoproc]%'></span>"; ?><br /><span class='desctext'>ID: <?=$row['id'] ?></span><?$zz=mysql_query("SELECT price FROM seo_refbirj WHERE rid='$row[id]'") or die(mysql_error());
if (mysql_num_rows($zz) != 0) {	
    $zzz = mysql_fetch_assoc($zz); echo "<span class='exchtext'>Продаётся за <b>$zzz[price]</b> $sitevalname</span>";
}
if ($row['lastlogdate'] == '') {
    $nowdate = '-';
} else
if (date('d.m.Y', $row['lastlogdate']) == date('d.m.Y',time())) {
    $nowdate = "<span style='color: #8D950B'>Сегодня</span><br />";
} else {
    $nowdate = date('d.m.Y', $row['lastlogdate']); 
}
?></td>
<td class='lt' align="center"><?=$nowdate; ?></td>
<td align='center' class="lt"><?=$ref1['count']?>
</td>
<td class="lt" align="center"><?=moneyraund($row['toref'], 3); ?></td>
<td align="center">
<a class="refdel" title="Исключить реферала" href="#" onclick="userdel(<?=$row['id']?>)"></a>
<? if(mysql_num_rows($zz)!=0)
{
?>
<a class='refex-back' href='#' onclick="backref(<?=$row['id']?>)" title='Вернуть реферала с ярмарки'></a>
<?
}else{
    if ($row['ban'] == 1) {
        ?>
        <a class='refex-dis' title='Пользователь заблокирован'></a>
        <?
    } else
	if($row['visits'] >= 100 and $reyting >= 100) {
	?>
	   <a class='refexchange' onclick="javascript:hideserfaddblock('exblock<?=$row['id'] ?>');" title='Продать на ярмарке'></a>
	<?
	} else
    if ($reyting < 100 and $row['visits'] > 100) {
        ?>
        <a class='refex-dis' title='Статус не позваоляет'></a>
        <?
    } else {
	?>
	   <a class='refex-dis' title='Реферал не готов к продаже'></a>
    <?
    }
}
?>
	<span class='refbonus' title='Установить/снять бонус' onclick="javascript:hideserfaddblock('bonusadd<?=$row['id'] ?>');"></span>
	<a class='refstat' title='Расширенная статистика' href="#" onclick="inforef(<?=$row['id'] ?>)"></a>
	</td>
	</tr>
	<tr id='bonusadd<?=$row['id'] ?>' style='display: none;' align="right">
	<td class='ext' colspan='6' style="padding: 5px; background: #ebebeb;">
	<a class='big_btn' href='#' onclick="refback(0, <?=$row['id'] ?>);">нет</a>
	<a class='big_btn' href='#' onclick="refback(10, <?=$row['id'] ?>);">10%</a>
	<a class='big_btn' href='#' onclick="refback(20, <?=$row['id'] ?>);">20%</a>
	<a class='big_btn' href='#' onclick="refback(30, <?=$row['id'] ?>);">30%</a>
	<a class='big_btn' href='#' onclick="refback(40, <?=$row['id'] ?>);">40%</a>
	<a class='big_btn' href='#' onclick="refback(50, <?=$row['id'] ?>);">50%</a>
    <a class='big_btn' href='#' onclick="refback(60, <?=$row['id'] ?>);">60%</a>
    <a class='big_btn' href='#' onclick="refback(70, <?=$row['id'] ?>);">70%</a>
    <a class='big_btn' href='#' onclick="refback(80, <?=$row['id'] ?>);">80%</a>
    <a class='big_btn' href='#' onclick="refback(90, <?=$row['id'] ?>);">90%</a>
	</td>
	</tr><? if(mysql_num_rows($zz)==0)
	{ ?>
	<tr id='exblock<?=$row['id'] ?>' style='display: none;'>
	<td class='ext' colspan='6' align='right' style="background: #ebebeb;">
	<div style="padding: 5px;">
	<form action="/referals" ax:nohistory="1" ax:anticache="1" method="post">
	<input type='hidden' name='idref' value='<?=$row['id'] ?>' />
	<input type='text' name='price' class="val" size='5' value='0.00' />&nbsp;&nbsp;<input type='submit' class="big_btn" value='Выставить на продажу' />
	</form>
	</div></td></tr>
	<? 
	}
}?>						
</table>
<? } ?>                    